aboutsummaryrefslogtreecommitdiffstats
path: root/devel/openorb/files
diff options
context:
space:
mode:
authorhq <hq@FreeBSD.org>2004-11-28 07:28:52 +0800
committerhq <hq@FreeBSD.org>2004-11-28 07:28:52 +0800
commit75344b15f7ff79884e0c49ed8b6f797129a25256 (patch)
tree3fc60a7577f144457397d34286b55d44480eaa02 /devel/openorb/files
parentf8f4f230181632749558d822ea4b6983a77e771d (diff)
downloadfreebsd-ports-gnome-75344b15f7ff79884e0c49ed8b6f797129a25256.tar.gz
freebsd-ports-gnome-75344b15f7ff79884e0c49ed8b6f797129a25256.tar.zst
freebsd-ports-gnome-75344b15f7ff79884e0c49ed8b6f797129a25256.zip
This is a community fork of the open source project OpenORB
(openorb.exolab.org). The goal of this initiative is to make the evolution of the OpenORB project more transparent and to allow the community to take part in making decisions about its future. OpenORB provides a Java implementation of the OMG CORBA 2.4.2 specification. Along with the ORB, the following OMG Services are provided: * Concurrency Control Service * Event Service * Interoperable Naming Service * Notification Service * Persistent State Service * Property Service * Time Service * Trading Service * Transaction Service WWW: http://openorb.sourceforge.net/
Diffstat (limited to 'devel/openorb/files')
-rw-r--r--devel/openorb/files/launcher.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/devel/openorb/files/launcher.sh b/devel/openorb/files/launcher.sh
new file mode 100644
index 000000000000..51a9e7e9168c
--- /dev/null
+++ b/devel/openorb/files/launcher.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# $FreeBSD$
+
+IAM="`%%BASENAME%% "$0"`"
+
+case "${IAM}" in
+ openorb-idl_compiler)
+ MAIN_CLASS=org.openorb.compiler.IdlCompiler
+ ;;
+ openorb-naming_service)
+ MAIN_CLASS=org.openorb.util.MapNamingContext
+ ;;
+ *)
+ echo "ERROR: command not supported" >&2
+ exit 1
+ ;;
+esac
+
+JAVA_VERSION="1.3+" "%%LOCALBASE%%/bin/java" -classpath "%%CLASSPATH%%" "${MAIN_CLASS}" "$@"